PCAP_DATALINK_VAL_TO_NAME(3) | Library Functions Manual | PCAP_DATALINK_VAL_TO_NAME(3)

# NAME

pcap_datalink_val_to_name, pcap_datalink_val_to_description - get a name or description for a link-layer header type value

# SYNOPSIS

#include <pcap.h>

const char *pcap_datalink_val_to_name(int dlt);
const char *pcap_datalink_val_to_description(int dlt);

# DESCRIPTION

pcap_datalink_val_to_name() translates a link-layer header type value to the corresponding link-layer header type name. NULL is returned on failure.

pcap_datalink_val_to_description() translates a link-layer header type value to a short description of that link-layer header type. NULL is returned on failure.

22 August 2010 |